using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.PF
{
    [Description("版本管理表")]
    [APT.Infrastructure.Api.RootOrg]
    public class T_PF_VERSION_MANAGE: MesEntityBase
    {

        [Description("版本号")]
        [DataFieldLength(20)]
        public string VERSION_NO { get; set; }

        [Description("版本中文")]
        [DataFieldLength(20)]
        public string VERSION_ZH { get; set; }
        [Description("版本发布序号")]
        [DataFieldLength(20)]
        public string VERSION { get; set; }
        [Description("分支")]
        [EnumName("PFBranchTypeEnum")]
        public int BRANCH { get; set; }
        [Description("上个版本")]
        [DataFieldLength(20)]
        public string LAST_VERSION { get; set; }
        [Description("大小版类型")]
        [EnumName("PFVersionTypeEnum")]
        public int VERSION_TYPE { get; set; }
        [Description("发布内容")]
        [DataFieldLength(1000)]
        public string CONTENT { get; set; }
        [Description("日志语法")]
        [DataFieldLength(1000)]
        public string GRAMMAR { get; set; }
    }
}
